Spigot Pokes v1.8.0

Poke people in Minecraft!

  1. TechieCrow submitted a new resource:

    Pokes - Poke people in Minecraft!

    Read more about this resource...
     
  2. Hi. This is the first time I've tried to install a SPigot plugin but... shouldn't I just have to put Pokes.jar into plugins directory and then
    Reload or Restart server?
    I can't poke anybody
     
  3. Yes it's exactly the same for all plugins, just put the .jar in the "plugins" directory then restart the server.

    What version of spigot are you using and does it give any errors in chat or the console when you type "/poke <player>"?
     
  4. Thank you for your reply. I have successfully load ChatControl so I know I dont have directory privelege issue or something. Here is all the info:

    Spigot v1.8.8


    [22:30:00] [Server thread/ERROR]: Could not load 'plugins/Pokes-v1.1.jar' in folder 'plugins'

    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: xyz/techiecrow/pokes/Pokes : Un

    supported major.minor version 52.0

    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at java.lang.Thread.run(Thread.java:745) [?:1.7.0_91]

    Caused by: java.lang.UnsupportedClassVersionError: xyz/techiecrow/pokes/Pokes : Unsupported major.minor version 52.0

    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_91]

    at java.lang.ClassLoader.defineClass(ClassLoader.java:800) ~[?:1.7.0_91]

    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.7.0_91]

    at java.net.URLClassLoader.defineClass(URLClassLoader.java:449) ~[?:1.7.0_91]

    at java.net.URLClassLoader.access$100(URLClassLoader.java:71) ~[?:1.7.0_91]

    at java.net.URLClassLoader$1.run(URLClassLoader.java:361) ~[?:1.7.0_91]

    at java.net.URLClassLoader$1.run(URLClassLoader.java:355) ~[?:1.7.0_91]

    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_91]

    at java.net.URLClassLoader.findClass(URLClassLoader.java:354) ~[?:1.7.0_91]

    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at java.lang.ClassLoader.loadClass(ClassLoader.java:425) ~[?:1.7.0_91]

    at java.lang.ClassLoader.loadClass(ClassLoader.java:358) ~[?:1.7.0_91]

    at java.lang.Class.forName0(Native Method) ~[?:1.7.0_91]

    at java.lang.Class.forName(Class.java:278) ~[?:1.7.0_91]

    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-18fbb24]

    ... 6 more
     
  5. Could you tell me what Java version you are using?

    I have just tested the plugin on Spigot 1.8 and 1.7.10 versions plus on both Linux and Windows OS, the plugin works fine on them, the only thing I can think of is you are using an old version of Java, I compiled the code in Java 8, so if you can I would recommend upgrading to Java 8.
     
  6. Ooooh yes sir. I am running java 1.7.0_91

    I haven't upgraded due to a recommendation about security...? Maybe thats wrong, I'll do some reading and upgrade if it seems safe.
     
  7. Should be an update tomorrow (Monday) or Tuesday that adds configurable sounds that the poked hear (Maybe poker's too?), Hopefully configurable messages the poked and pokers see and I'm also going to try to compile Pokes with Java 7 for those not using Java 8 yet.

    Updates are slow because there are no suggestions yet and I'm working on a new server for my network which is taking up a lot of my time.
     
  8. TechieCrow updated Pokes with a new update entry:

    Custom Poke Messages & Sounds

    Read the rest of this update entry...
     
  9. TechieCrow updated Pokes with a new update entry:

    Poke Counts!

    Read the rest of this update entry...
     
  10. TechieCrow updated Pokes with a new update entry:

    New Download Link

    Read the rest of this update entry...
     
  11. TechieCrow updated Pokes with a new update entry:

    Basically Nothing

    Read the rest of this update entry...
     
  12. The Plugin works but The players dont get notified there is no sound whenever I do the command this pops up. "An internal error occured while attempting to preform this command" Here is the error I get in console - https://gyazo.com/f5918e71626fb5ea5323132296449f68 !!
     
  13. TechieCrow updated Pokes with a new update entry:

    1.17 Update

    Read the rest of this update entry...
     
  14. TechieCrow updated Pokes with a new update entry:

    The Database Update!

    Read the rest of this update entry...
     
  15. TechieCrow updated Pokes with a new update entry:

    Vault Support! Give Players Money For Poking!

    Read the rest of this update entry...
     
  16. I forgot to remove the update checker option in the config, this option does nothing right now so don't worry about it.

    Serious if you check the code there is no update checker code implemented right now. Hoping to add that next update but we'll see.